package cz.moneta.test.dsl.util.data;

import cz.moneta.test.harness.support.data.DataProvider;
import cz.moneta.test.harness.support.data.Value;

public interface Payment extends DataProvider<Payment> {

    @Value("0")
    String accountPrefix();

    @Value("123")
    String accountNumber();

    @Value("0100")
    String bankCode();

    @Value("1")
    String amount();

    @Value("123")
    String variableSymbol();

    @Value("456")
    String specificSymbol();

    @Value("789")
    String constantSymbol();

    @Value("hello test")
    String myNote();

    Payment withAccountPrefix(String accountPrefix);

    Payment withAccountNumber(String accountNumber);

    Payment withBankCode(String bankCode);

    Payment withAmount(String amount);

    Payment withVariableSymbol(String variableSymbol);

    Payment withSpecificSymbol(String specificSymbol);

    Payment withConstantSymbol(String constantSymbol);

    Payment withMyNote(String myNote);
}
